OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.TextureFilter4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISTextureFilter4 :: MonadIO m => m Bool
- gl_SGIS_texture_filter4 :: Bool
- gl_FILTER4_SGIS :: GLenum
- gl_TEXTURE_FILTER4_SIZE_SGIS :: GLenum
- glGetTexFilterFuncSGIS :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexFilterFuncSGIS :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISTextureFilter4 :: MonadIO m => m Bool

Is the SGIS_texture_filter4 extension supported?

gl_SGIS_texture_filter4 :: Bool

Is the SGIS_texture_filter4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISTextureFilter4` in those cases instead.

# Enums

gl_FILTER4_SGIS :: GLenum

gl_TEXTURE_FILTER4_SIZE_SGIS :: GLenum

# Functions

glGetTexFilterFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `filter` of type `TextureFilterSGIS`.
-> Ptr GLfloat | `weights` pointing to `COMPSIZE(target,filter)` elements of type `GLfloat`.
-> m () |

glTexFilterFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `filter` of type `TextureFilterSGIS`.
-> GLsizei | `n`.
-> Ptr GLfloat | `weights` pointing to `n` elements of type `GLfloat`.
-> m () |